Index: trunk/sources/HeuristicLab.PluginInfrastructure/Properties/Settings.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Properties/Settings.Designer.cs	(revision 3761)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Properties/Settings.Designer.cs	(revision 3762)
@@ -44,5 +44,5 @@
         [global::System.Configuration.UserScopedSettingAttribute()]
         [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
-        [global::System.Configuration.DefaultSettingValueAttribute("http://servdev.heuristiclab.com/Deployment-3.3/Update.svc")]
+        [global::System.Configuration.DefaultSettingValueAttribute("http://services.heuristiclab.com/Deployment-3.3/Update.svc")]
         public string UpdateLocation {
             get {
@@ -80,5 +80,5 @@
         [global::System.Configuration.UserScopedSettingAttribute()]
         [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
-        [global::System.Configuration.DefaultSettingValueAttribute("http://servdev.heuristiclab.com/Deployment-3.3/Admin.svc")]
+        [global::System.Configuration.DefaultSettingValueAttribute("http://services.heuristiclab.com/Deployment-3.3/Admin.svc")]
         public string UpdateLocationAdministrationAddress {
             get {
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Properties/Settings.settings
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Properties/Settings.settings	(revision 3761)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Properties/Settings.settings	(revision 3762)
@@ -10,5 +10,5 @@
     </Setting>
     <Setting Name="UpdateLocation" Type="System.String" Scope="User">
-      <Value Profile="(Default)">http://servdev.heuristiclab.com/Deployment-3.3/Update.svc</Value>
+      <Value Profile="(Default)">http://services.heuristiclab.com/Deployment-3.3/Update.svc</Value>
     </Setting>
     <Setting Name="UpdateLocationUserName" Type="System.String" Scope="User">
@@ -19,5 +19,5 @@
     </Setting>
     <Setting Name="UpdateLocationAdministrationAddress" Type="System.String" Scope="User">
-      <Value Profile="(Default)">http://servdev.heuristiclab.com/Deployment-3.3/Admin.svc</Value>
+      <Value Profile="(Default)">http://services.heuristiclab.com/Deployment-3.3/Admin.svc</Value>
     </Setting>
     <Setting Name="ShowPluginUploadControls" Type="System.Boolean" Scope="User">
Index: trunk/sources/HeuristicLab.PluginInfrastructure/app.config
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/app.config	(revision 3761)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/app.config	(revision 3762)
@@ -66,5 +66,5 @@
         </bindings>
         <client>
-            <endpoint address="http://servdev.heuristiclab.com/Deployment-3.3/Update.svc"
+            <endpoint address="http://services.heuristiclab.com/Deployment-3.3/Update.svc"
                 behaviorConfiguration="SerializationBehavior" binding="wsHttpBinding"
                 bindingConfiguration="WSHttpBinding_IUpdate1" contract="HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IUpdate"
@@ -74,5 +74,5 @@
                 </identity>
             </endpoint>
-            <endpoint address="http://servdev.heuristiclab.com/Deployment-3.3/Admin.svc"
+            <endpoint address="http://services.heuristiclab.com/Deployment-3.3/Admin.svc"
                 behaviorConfiguration="SerializationBehavior" binding="wsHttpBinding"
                 bindingConfiguration="WSHttpBinding_IAdmin1" contract="HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IAdmin"
@@ -87,5 +87,5 @@
         <HeuristicLab.PluginInfrastructure.Properties.Settings>
             <setting name="UpdateLocation" serializeAs="String">
-                <value>http://servdev.heuristiclab.com/Deployment-3.3/Update.svc</value>
+                <value>http://services.heuristiclab.com/Deployment-3.3/Update.svc</value>
             </setting>
             <setting name="UpdateLocationUserName" serializeAs="String">
@@ -96,5 +96,5 @@
             </setting>
             <setting name="UpdateLocationAdministrationAddress" serializeAs="String">
-                <value>http://servdev.heuristiclab.com/Deployment-3.3/Admin.svc</value>
+                <value>http://services.heuristiclab.com/Deployment-3.3/Admin.svc</value>
             </setting>
             <setting name="ShowPluginUploadControls" serializeAs="String">