Index: trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/OperatorsMenuItem.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/OperatorsMenuItem.cs	(revision 3764)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/OperatorsMenuItem.cs	(revision 3768)
@@ -73,4 +73,5 @@
         operatorsSidebar.Dock = DockStyle.Left;
         operatorsSidebar.Show();
+        operatorsSidebar.Collapsed = Properties.Settings.Default.CollapseOperatorsSidebar;
       } else if (view.IsShown) {
         view.Hide();
Index: trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerMainForm.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerMainForm.cs	(revision 3764)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerMainForm.cs	(revision 3768)
@@ -69,6 +69,9 @@
       ContentManager.Initialize(new PersistenceContentManager());
 
+      WindowState = Properties.Settings.Default.ShowMaximized ? FormWindowState.Maximized : FormWindowState.Normal;
+
       clipboard = new Clipboard<IItem>();
       clipboard.Dock = DockStyle.Left;
+      clipboard.Collapsed = Properties.Settings.Default.CollapseClipboard;
       if (Properties.Settings.Default.ShowClipboard) {
         clipboard.Show();
@@ -78,4 +81,5 @@
         operatorsSidebar.Dock = DockStyle.Left;
         operatorsSidebar.Show();
+        operatorsSidebar.Collapsed = Properties.Settings.Default.CollapseOperatorsSidebar;
       }
       if (Properties.Settings.Default.ShowStartPage) {
@@ -91,4 +95,12 @@
           e.Cancel = true;
       }
+    }
+    protected override void OnClosed(EventArgs e) {
+      base.OnClosed(e);
+      Properties.Settings.Default.ShowMaximized = WindowState == FormWindowState.Maximized;
+      Properties.Settings.Default.CollapseClipboard = clipboard.Collapsed;
+      OperatorsSidebar operatorsSidebar = MainFormManager.MainForm.Views.OfType<OperatorsSidebar>().FirstOrDefault();
+      if (operatorsSidebar != null) Properties.Settings.Default.CollapseOperatorsSidebar = operatorsSidebar.Collapsed;
+      Properties.Settings.Default.Save();
     }
 
Index: trunk/sources/HeuristicLab.Optimizer/3.3/Properties/Settings.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/Properties/Settings.Designer.cs	(revision 3764)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/Properties/Settings.Designer.cs	(revision 3768)
@@ -2,5 +2,5 @@
 // <auto-generated>
 //     This code was generated by a tool.
-//     Runtime Version:2.0.50727.4927
+//     Runtime Version:2.0.50727.4200
 //
 //     Changes to this file may cause incorrect behavior and will be lost if
@@ -59,4 +59,40 @@
             }
         }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("True")]
+        public bool ShowMaximized {
+            get {
+                return ((bool)(this["ShowMaximized"]));
+            }
+            set {
+                this["ShowMaximized"] = value;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("True")]
+        public bool CollapseClipboard {
+            get {
+                return ((bool)(this["CollapseClipboard"]));
+            }
+            set {
+                this["CollapseClipboard"] = value;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("False")]
+        public bool CollapseOperatorsSidebar {
+            get {
+                return ((bool)(this["CollapseOperatorsSidebar"]));
+            }
+            set {
+                this["CollapseOperatorsSidebar"] = value;
+            }
+        }
     }
 }
Index: trunk/sources/HeuristicLab.Optimizer/3.3/Properties/Settings.settings
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/Properties/Settings.settings	(revision 3764)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/Properties/Settings.settings	(revision 3768)
@@ -12,4 +12,13 @@
       <Value Profile="(Default)">True</Value>
     </Setting>
+    <Setting Name="ShowMaximized" Type="System.Boolean" Scope="User">
+      <Value Profile="(Default)">True</Value>
+    </Setting>
+    <Setting Name="CollapseClipboard" Type="System.Boolean" Scope="User">
+      <Value Profile="(Default)">True</Value>
+    </Setting>
+    <Setting Name="CollapseOperatorsSidebar" Type="System.Boolean" Scope="User">
+      <Value Profile="(Default)">False</Value>
+    </Setting>
   </Settings>
 </SettingsFile>
Index: trunk/sources/HeuristicLab.Optimizer/3.3/app.config
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/app.config	(revision 3764)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/app.config	(revision 3768)
@@ -17,4 +17,13 @@
                 <value>True</value>
             </setting>
+            <setting name="ShowMaximized" serializeAs="String">
+                <value>True</value>
+            </setting>
+            <setting name="CollapseClipboard" serializeAs="String">
+                <value>True</value>
+            </setting>
+            <setting name="CollapseOperatorsSidebar" serializeAs="String">
+                <value>False</value>
+            </setting>
         </HeuristicLab.Optimizer.Properties.Settings>
     </userSettings>